Consulter l'historique d'activité d'un colis
curl --request GET \
--url https://api.papslogistics.com/orders/history \
--header 'x-api-key: <api-key>'import requests
url = "https://api.papslogistics.com/orders/history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.papslogistics.com/orders/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"error": "<string>",
"data": {
"uid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"service": "<string>",
"status": "<string>",
"address": {
"city": "<string>",
"address": "<string>"
},
"client": {
"companyName": "<string>",
"address": {
"city": "<string>",
"address": "<string>",
"region": "<string>",
"country": "<string>"
}
},
"parcels": [
{
"uid": "<string>",
"description": "<string>",
"size": "<string>",
"status": "<string>",
"refClient": "<string>"
}
],
"receiver": {
"firstname": "<string>",
"lastname": "<string>",
"phoneNumber": "<string>",
"address": {
"city": "<string>",
"address": "<string>"
}
},
"mission": {
"jobType": "<string>"
},
"deliveryTask": {
"taskDriver": {
"firstname": "<string>",
"lastname": "<string>",
"phoneNumber": "<string>"
},
"taskConveyor": {
"firstname": "<string>",
"lastname": "<string>",
"phoneNumber": "<string>"
}
},
"activities": [
{
"date": "2023-11-07T05:31:56Z",
"triggerAction": "<string>",
"triggerActionData": {}
}
]
}
}Orders
Consulter l'historique d'un colis
GET
/
orders
/
history
Consulter l'historique d'activité d'un colis
Authorizations
Clé API du client, disponible dans son espace personnel Paps.
Query Parameters
Contexte de la requête Contexte de la requête d'historique
Available options:
Parcel, Order, Runsheet, Request, Task, User, Default Response
200 - application/json
Historique des activités
Code de statut de la réponse
Example:
200
Message associé à la réponse
Example:
"Success"
null en cas de succès. En cas d'erreur métier (codes 400 et 500), contient un message ou un nom d'exception sous forme de chaîne libre.
Détails de la commande
Show child attributes
Show child attributes
⌘I